Skip to main content
`Ctrl`+`K`

# EPSBLOPEXSetBlockSize

Sets the block size of the BLOPEX solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSBLOPEXSetBlockSize(EPS eps,PetscInt bs)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- bs - the block size

## Options Database Key

- -eps_blopex_blocksize <bs> - Sets the block size

## See Also

EPS: Eigenvalue Problem Solver, `EPSBLOPEX`, `EPSBLOPEXGetBlockSize()`

## Level

advanced

## Location

src/eps/impls/external/blopex/blopex.c

## Implementations

EPSBLOPEXSetBlockSize_BLOPEX() in src/eps/impls/external/blopex/blopex.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages